/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing MaintenanceDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class MaintenanceDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for MaintenanceDto
        //private MaintenanceDto instance;

        public MaintenanceDtoTests()
        {
            // TODO uncomment below to create an instance of MaintenanceDto
            //instance = new MaintenanceDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of MaintenanceDto
        /// </summary>
        [Fact]
        public void MaintenanceDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" MaintenanceDto
            //Assert.IsType<MaintenanceDto>(instance);
        }

        /// <summary>
        /// Test the property 'DisplayName'
        /// </summary>
        [Fact]
        public void DisplayNameTest()
        {
            // TODO unit test for the property 'DisplayName'
        }

        /// <summary>
        /// Test the property 'Href'
        /// </summary>
        [Fact]
        public void HrefTest()
        {
            // TODO unit test for the property 'Href'
        }

        /// <summary>
        /// Test the property 'Type'
        /// </summary>
        [Fact]
        public void TypeTest()
        {
            // TODO unit test for the property 'Type'
        }

        /// <summary>
        /// Test the property 'Body'
        /// </summary>
        [Fact]
        public void BodyTest()
        {
            // TODO unit test for the property 'Body'
        }

        /// <summary>
        /// Test the property 'StartsDate'
        /// </summary>
        [Fact]
        public void StartsDateTest()
        {
            // TODO unit test for the property 'StartsDate'
        }

        /// <summary>
        /// Test the property 'EndsDate'
        /// </summary>
        [Fact]
        public void EndsDateTest()
        {
            // TODO unit test for the property 'EndsDate'
        }
    }
}
